Subject: Re: bug#19990: 24.4; Bad resizing interaction when WM ignores size hints

From: Yuri D'Elia <[email-masked]>
Date: Mon, 02 Mar 2020 10:53:48 +0100

On Mon, Mar 02 2020, Stefan Kangas wrote:
>> After the first resize event and/or any new frame do not suffer from
>> this, so especially when used in daemon mode it's less noticeable.
>
> Thanks for verifying that you're still seeing this.  Which window
> manager (and version) are you using?

I'm currently using spectrwm, but I did use awesomewm in the "tile" and
"max" layout with no gaps giving same results.

> The previous discussion seems to indicate that this may be a problem
> with Gtk only, and not Lucid.  But it's not clear to me from the
> discussion if this happens because of a bug in Gtk or a bug in Emacs.

Gtk would definitely add some extra complexity as I assume the main
frame would be a GtkWindow (at least with gtk2, gtk itself tried to
enforce size hints with more XConfigure requests! I hated that), but
I've been building for lucid exclusively for some years now.